Subject: vala does not respect -d/--directory to generate dependency rules

From: Jesse van den Kieboom <[email-masked]>
Date: Sat, 4 Jan 2014 14:47:53 +0100

It seems that currently vala support in autotools does not properly respect
the -d/--directory flag (which sets an output directory for all generated
files). This makes non-recursive-make a bit more tedious if you have
multiple vala components and you want to generate the output in their
respective sub directories.